apiDeterministic
List campaign sequence touches
GET /api/v1/strategy/sequence-touches
List the canonical Launchpad sequence touches for an exact brief and table, including evidence, fallback, status, and operation provenance. Read-only and invokes no hosted model.
Parameters
workspaceId
string
No description.
briefIdrequired
string
No description.
tableIdrequired
string
No description.
rowIds
string[]
No description.
Example
REST requestbash
curl -X GET "https://app.pipeline.help/api/v1/strategy/sequence-touches?briefId=00000000-0000-4000-8000-000000000000&tableId=00000000-0000-4000-8000-000000000000" \-H "Authorization: Bearer $PIPELINE_API_KEY"
Response
Success response schemajson schema
{"type": "object","properties": {"touches": {"type": "array","items": {"type": "object","properties": {"id": {"type": "string"},"rowId": {"type": "string"},"touchIndex": {"type": "number"},"channel": {"type": "string","enum": ["connection_note","linkedin_dm"]},"outputRole": {"type": "string"},"body": {"type": "string"},"framework": {"type": ["string","null"]},"score": {"type": "number"},"status": {"type": "string","enum": ["draft","approved","rejected","sent"]},"gatedOnAccept": {"type": "boolean"},"daysAfterPrevious": {"type": "number"},"provenance": {"type": "object"}},"required": ["id","rowId","touchIndex","channel","outputRole","body","framework","score","status","gatedOnAccept","daysAfterPrevious","provenance"]}}},"required": ["touches"]}
HTTP errors
- 401
- Missing or invalid API key.
- 403
- Authenticated but not permitted for the workspace or resource.
- 404
- The requested resource was not found.